# hardcoded so that build from another distro keeps this name
# (mandatory to have correct package name and source name)
%define _real_vendor mageia

# fix build (debuginfo package is empty...):
%define debug_package %{nil}

# If dist tag isn't defined, define it
%if %{?dist:0}%{?!dist:1}
%define dist %{?distsuffix:%distsuffix}%{?!distsuffix:.mga}%{?distro_release:%distro_release}
%endif

# If mkrel isn't defined, define it
%if %{?mkrel:0}%{?!mkrel:1}
%define mkrel(c:) %{-c: 0.%{-c*}.}%{1}%{?dist:%dist}%{?subrel:.%subrel}
%endif

# This can be useful for backport, as rpm-4.2
# provides the emacs-spec mode
%define have_emacsmodespec 1

%{?_with_emacsspecmode: %define have_emacsmodespec 1}
%{?_without_emacsspecmode: %define have_emacsmodespec 0}

Summary:	The %{distribution} rpm configuration and scripts
Name:		rpm-%{_real_vendor}-setup
Version:	2.20
Release:	%mkrel 9
# No patch allowed on SOURCE0
# prevent suse script to slow down build:
Patch0:		gi-find-deps.sh.diff
# fix Suse attr matching:
Patch1:		gobjectintrospection.attr.patch
Patch3:		gobjectintrospection.attr2.patch
# prevent emitting bogus requires:
# (such as in sugar's src/jarabe/view/viewsource.py =>)
Patch2:		gi-find-deps.sh.patch
# adapt to gobject-introspection-1.50.0 (g-ir-dep-tool -> g-ir-inspect) (mga#19454):
Patch4:		gi-find-deps.sh2.patch
Source0:	%{name}-%{version}.tar.xz
Source1:	gettarball.sh
#
# UPSTREAM TO SYNC:
#
# gi-find-deps.sh is a rpm helper for Provides and Requires. Script creates typelib()-style Provides/Requires.
# (From: https://build.opensuse.org/package/show/openSUSE:Factory/gobject-introspection)
Source3:        gi-find-deps.sh
Source4:        gobjectintrospection.attr
# kernel modules provides/requires
# (From: http://pkgs.fedoraproject.org/cgit/redhat-rpm-config.git/tree):
Source5:        kmod.attr
Source6:        kmod.prov
Source7:	macros.dwz

Source102:	macros.mono-srpm

#
# END OF UPSTREAM
#

# NO PATCH ACCEPTED: WORK in GIT!!!!
License:	GPLv2+
Group:		System/Packaging
Url:		http://www.mageia.org/
BuildRequires:	rpm-devel
%rename rpm-mandriva-setup

%description
The %{distribution} rpm configuration and scripts.

%package	build
Group:		System/Packaging
Summary:	The %{distribution} rpm configuration and scripts to build rpms
Requires:	spec-helper
Requires:	multiarch-utils
# needed for script to extract pkgconfig info
Requires:	pkgconfig
Requires:	python-pkg-resources
Requires:	python-srpm-macros
Requires:	rpmlint-mageia-policy
Requires:	%name = %version-%release
Requires:	bash >= 4.3-24.2
# gi-find-deps uses the enhanced grep variant in order to do
# multi-line matching (for pkg.requires(..))
Requires:	pcre
# gi-find-deps makes use of 'file' to identify the types.
Requires:	file
# for product version macros
Requires:	%{_real_vendor}-release
# for g-ir-dep-tool:
Requires:	gobject-introspection
%rename rpm-mandriva-setup-build
Requires:	dwz
# to generate cmake() provides
Requires:	cmake-rpm-macros
Conflicts:	%{mklibname -d girepository} < 1.41.91-7
Conflicts:	cmake < 1:3.4.1-7

%description	build
The %{distribution} rpm configuration and scripts dedicated to build rpms.

%prep
%setup -q
install -D %{S:3} .
install -D %{S:4} .

%autopatch -p1

%build
%configure2_5x

%make_build

%install
%make_install

# upstream deps generators:
install -D gi-find-deps.sh %{S:6} -m 0755 %{buildroot}%{_rpmconfigdir}/
install -D gobjectintrospection.attr %{S:5} -m 0644 %{buildroot}%{_rpmconfigdir}/fileattrs/

mkdir -p %{buildroot}%{_sysconfdir}/rpm/macros.d
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
install -D %{S:7} %{S:102} -m 0644 %{buildroot}%{_rpmconfigdir}/macros.d/

# FIXME better fix the Makefile directly in the source code
mv %{buildroot}%{_rpmconfigdir}/%{_real_vendor}/macros %{buildroot}%{_sysconfdir}/rpm/macros.d/20common.macros
mv %{buildroot}%{_sysconfdir}/rpm/macros.d/{build.macros,20build.macros}

%if %have_emacsmodespec
# spec mode for emacs
install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
install -m644 rpm-spec-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(setq auto-mode-alist (cons '("\\\\.spec$" . rpm-spec-mode) auto-mode-alist))
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode (for %{distribution})." t)
EOF
%endif

%check
make test

%files
%dir %{_rpmconfigdir}/%{_real_vendor}
%{_rpmconfigdir}/%{_real_vendor}/rpmrc
%dir %{_sysconfdir}/rpm/macros.d
%{_sysconfdir}/rpm/macros.d/20common.macros

%files build
%doc NEWS 
%{_sysconfdir}/rpm/macros.d/20build.macros
%{_rpmconfigdir}/%{_real_vendor}/*
%{_rpmconfigdir}/gi-find-deps.sh
%{_rpmconfigdir}/macros.d/*
%{_rpmconfigdir}/*.prov
%exclude %{_rpmconfigdir}/%{_real_vendor}/rpmrc
%if %have_emacsmodespec
%{_datadir}/emacs/site-lisp/rpm-spec-mode.el
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el
%endif
%{_rpmconfigdir}/fileattrs/*.attr


%changelog
* Fri Jan 06 2017 wally <wally> 2.20-9.mga6
+ Revision: 1080326
- revert git-core requires for BS chroots

* Fri Jan 06 2017 wally <wally> 2.20-8.mga6
+ Revision: 1080316
- pull git-core to BS chroots to be able to use %%autosetup -S git OOTB

* Fri Dec 30 2016 wally <wally> 2.20-7.mga6
+ Revision: 1078663
- pull cmake-rpm-macros to BS to generate cmake() provides

* Mon Sep 26 2016 tv <tv> 2.20-6.mga6
+ Revision: 1056760
- patch 6: fix generating typelib() requires with gobject-introspection-1.50.0 (g-ir-dep-tool -> g-ir-inspect) (mga#19454)

* Mon Sep 19 2016 tv <tv> 2.20-5.mga6
+ Revision: 1054157
- output typelib() provides for files in /usr/lib64/girepository-1.0/

* Mon Sep 19 2016 tv <tv> 2.20-4.mga6
+ Revision: 1054104
- output typelib() provides for files in /usr/share/gir-1.0 too

* Wed May 18 2016 tv <tv> 2.20-3.mga6
+ Revision: 1016746
- patch 2: prevent emitting bogus requires such as in sugar

* Wed May 18 2016 tv <tv> 2.20-2.mga6
+ Revision: 1016719
- rediff gobjectintrospection.attr patch
- resync gobjectintrospection.attr with SuSe (now matching *.so too)
- resync gi-find-deps.sh with SuSe

* Wed May 04 2016 ngompa <ngompa> 2.20-1.mga6
+ Revision: 1009305
- Update to 2.20

* Tue Apr 26 2016 tv <tv> 2.19-2.mga6
+ Revision: 1006695
- requires python-srpm-macros

* Tue Apr 12 2016 pterjan <pterjan> 2.19-1.mga6
+ Revision: 1000755
- Use rtp's solution to build for armv5tl on armv5tl distro

* Tue Apr 12 2016 pterjan <pterjan> 2.18-1.mga6
+ Revision: 1000678
- add config for armv7hl
- don't append %%ldflags to  forcibly

* Sun Jan 17 2016 wally <wally> 2.17-5.mga6
+ Revision: 925084
- fix typelib() requires generation after changes in file cmd output for python scripts

* Sun Dec 27 2015 neoclust <neoclust> 2.17-4.mga6
+ Revision: 916152
- Move cmake.prov into cmake package

* Sun Dec 27 2015 wally <wally> 2.17-3.mga6
+ Revision: 916023
- move cmake.attr and cmake.prov from cmake to rpm-mageia-setup-build to allow generating cmake() provides also when cmake is not installed

* Wed Dec 02 2015 tv <tv> 2.17-2.mga6
+ Revision: 907612
- add macros.mono-srpm from redhat-rpm-config.

* Sun Nov 15 2015 tv <tv> 2.17-1.mga6
+ Revision: 903456
- drop old tarballs

  + pterjan <pterjan>
    - Move rubygem build macros to rubygem package

* Sat Nov 07 2015 ngompa <ngompa> 2.16-1.mga6
+ Revision: 898388
- Update to 2.16 and use revised %%mkrel

* Sat Oct 24 2015 tv <tv> 2.15-2.mga6
+ Revision: 894920
- reenable StrongerHashes

* Sat Oct 24 2015 pterjan <pterjan> 2.15-1.mga6
+ Revision: 894798
- Update gem_install

* Wed Oct 21 2015 pterjan <pterjan> 2.14-1.mga6
+ Revision: 893416
- do not remove buildroot in %%install if install is disabled
  (to make rpmbuild --without install actually useful)
- make python dependency extractor much faster

* Tue Sep 29 2015 tv <tv> 2.13-2.mga6
+ Revision: 885100
- fix build with rpm-4.13 (debuginfo package is empty)

* Mon Aug 24 2015 tv <tv> 2.13-1.mga6
+ Revision: 869028
- kill python macros that are already defined in rpm
- kill unused python macros (py_compile, py_requires)

* Sun Jul 12 2015 cjw <cjw> 2.12-1.mga6
+ Revision: 853395
- do not add -fPIC to x86-64 optflags, this option should only be used for shared libraries

* Fri Jul 03 2015 tv <tv> 2.11-1.mga6
+ Revision: 849642
- deprecate %%makeinstall_std and advertize upstream %%make_install instead
- kill %%old_makeinstall (use upstream %%makeinstall instead)

* Sun Jun 28 2015 tv <tv> 2.10-1.mga6
+ Revision: 847156
- stop emitting perlapi-<version> provides
  now that nothing requires it

* Wed Jun 24 2015 tv <tv> 2.9-1.mga6
+ Revision: 842504
- stop emitting perlapi-<version> requires
- patch 2: temporary revert change file digests hashing algorithm to SHA-256

* Sun Jun 21 2015 tv <tv> 2.8-1.mga6
+ Revision: 837783
- change file digests hashing algorithm to SHA-256
- kill obsolete %%defaultbuildroot
- kill old %%__find_(provides|requires)
- kill redondant/unmainted macro (mga#4927)
- kill unused kmod.* files

* Sun Oct 26 2014 tv <tv> 2.7-1.mga5
+ Revision: 793402
- add support for limiting parallel builds by defining
  %%_smp_ncpus_max in spec file for packages needing it
- drop merged patch 2
- add a warning about patches
- add comments about patches on suse stuff

* Fri Oct 24 2014 tmb <tmb> 2.6-5.mga5
+ Revision: 792995
- add support for limiting parallel builds by defining
  %%_smp_ncpus_max in spec file for packages needing it

* Sun Oct 19 2014 cjw <cjw> 2.6-4.mga5
+ Revision: 791756
- gobjectintrospection.attr: match python scripts without .py file extension

* Sun Oct 19 2014 wally <wally> 2.6-3.mga5
+ Revision: 791729
- add patch to
  * find typelib() requires also from .gresource files
  * fix exclude path for typelib() requires

* Wed Oct 15 2014 umeabot <umeabot> 2.6-2.mga5
+ Revision: 740065
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 pterjan <pterjan> 2.6-1.mga5
+ Revision: 738720
- Fix pythonegg dependencies generation

* Wed Oct 01 2014 tv <tv> 2.5-1.mga5
+ Revision: 733887
- do not emit PHP requires for package's own files

* Fri Sep 26 2014 tv <tv> 2.4-1.mga5
+ Revision: 724836
- emit pythonegg requires/provides back
- remove kmod.* from git (now SRPMS sources)
- remove dwz.macros from git (now SRPMS sources)
- remove now useless g-ir-extract-deps

* Thu Sep 25 2014 wally <wally> 2.3-6.mga5
+ Revision: 724625
- redo P0 (drop cache file and move $GI_TYPELIB_PATH parts to typelib_requires function in gi-find-deps.sh to speed up build)

* Thu Sep 25 2014 tv <tv> 2.3-5.mga5
+ Revision: 724579
- patch 0: speedup slow gi-find-deps.sh when there's lot of matching files

* Thu Sep 25 2014 tv <tv> 2.3-4.mga5
+ Revision: 724532
- set GI_TYPELIB_PATH when generating typelib() requires

* Tue Sep 23 2014 tv <tv> 2.3-3.mga5
+ Revision: 720936
- require gobject-introspection for g-ir-dep-tool

  + wally <wally>
    - sync gi-find-deps.sh more with Suse to get .typelib requires to work

* Mon Sep 22 2014 tv <tv> 2.3-2.mga5
+ Revision: 719169
- fix kmod.attr path for kernels

* Fri Sep 19 2014 pterjan <pterjan> 2.3-1.mga5
+ Revision: 695909
- 2.3 (generate devel dependencies for gcc libs)

  + tv <tv>
    - move kmod.{attr,prov} as sources
    - use %%_rpmconfigdir consistently

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Sep 15 2014 tmb <tmb> 2.2-2.mga5
+ Revision: 676812
- require pcre instead of non-existant pcre-tools

* Mon Sep 15 2014 tmb <tmb> 2.2-1.mga5
+ Revision: 676792
- make rpm-mageia-setup-build require pcre-tools and file
- fix matching META files
- retrieve file name from stdin

  + tv <tv>
    - actually package php.attr
    - convert kmod provides to internal generator
    - convert perl requires from meta to internal generator
    - use rpmdeps to generate any "normal" dependencies

* Sun Sep 14 2014 lmenut <lmenut> 2.0-4.mga5
+ Revision: 675238
- fix conflicts

* Sun Sep 14 2014 tmb <tmb> 2.0-3.mga5
+ Revision: 675230
- rebuild with fixed bash

* Sun Sep 14 2014 tv <tv> 2.0-2.mga5
+ Revision: 675180
- move gi-find-deps.sh here so that gobject-introspection can have auto provs

* Fri Sep 12 2014 tv <tv> 2.0-1.mga5
+ Revision: 674900
- 2.0 aka "the next one who forks a script will be shoot. twice"
- convert devel(foo) deps to internal generator
- convert multiarch deps to internal generator
- convert "perlapi" deps to internal generator
- convert perl-base deps to internal generator
- convert PHP deps to internal generator
- drop gstreamer/haskell/ruby/typelib deps generators
  we backported the needed .(attr|prov|req) files from FC/SuSe in other packages
- drop most of the script-based dependency generation bits
- drop some long dead scripts
- use internal dependency generator instead of "external generator"
  (like all other distros) which is way much faster :-)
  See:
  o http://www.rpm.org/wiki/PackagerDocs/DependencyGenerator
  o http://laiskiainen.org/blog/?p=35
  side effect: we now output lowercase perl provides/requires (eg: "perl(urpm)")
- use upstream pkgconfigdeps.sh as we only have more checks because we were
  still using the external generator

* Mon May 26 2014 wally <wally> 1.198-1.mga5
+ Revision: 626853
- gi-find-deps.sh: improve sed magic to handle special sugar typelib requires

* Sat Dec 28 2013 pterjan <pterjan> 1.197-1.mga4
+ Revision: 561711
- Fix gem automated dependancies

* Fri Dec 27 2013 pterjan <pterjan> 1.196-1.mga4
+ Revision: 560992
- Use correct macro for gems dir now that rubygems moved

* Tue Dec 24 2013 pterjan <pterjan> 1.195-1.mga4
+ Revision: 560546
- Fix mistake in previous version

* Tue Dec 24 2013 pterjan <pterjan> 1.194-1.mga4
+ Revision: 560319
- Only install gem .so from paths in require_paths

* Wed Dec 18 2013 pterjan <pterjan> 1.193-1.mga4
+ Revision: 558577
- Improve binary gems handling and get more compatible with Fedora

* Tue Oct 22 2013 umeabot <umeabot> 1.192-2.mga4
+ Revision: 545433
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 pterjan <pterjan> 1.192-1.mga4
+ Revision: 501266
- Switch pythonegg dependencies to versioned style
- Add -O to %%make macro

* Mon Oct 14 2013 pterjan <pterjan> 1.191-1.mga4
+ Revision: 497607
- Generate different provides for python2 and python3

* Mon Sep 30 2013 dmorgan <dmorgan> 1.190-2.mga4
+ Revision: 489553
- Try to fix osgi() provides/requires

* Sat Sep 28 2013 fwang <fwang> 1.190-1.mga4
+ Revision: 488322
- 1.190: add switch -d to gem_install to move headers into vendorarchdir

* Wed Sep 25 2013 philippem <philippem> 1.189-1.mga4
+ Revision: 486361
- Set valid macros names for Python byte compilation

* Wed Sep 25 2013 philippem <philippem> 1.188-1.mga4
+ Revision: 486292
- improve macros for Python byte compilation

* Tue Sep 24 2013 philippem <philippem> 1.187-1.mga4
+ Revision: 485456
- add macros for Python byte compilation

* Fri Sep 20 2013 pterjan <pterjan> 1.186-2.mga4
+ Revision: 481799
- Use the correct tarball :(

* Fri Sep 20 2013 pterjan <pterjan> 1.186-1.mga4
+ Revision: 481787
- Support gems with .so under ext and not installed in lib

* Fri Sep 20 2013 pterjan <pterjan> 1.185-1.mga4
+ Revision: 481762
- Fix typo in previous version :(

* Fri Sep 20 2013 pterjan <pterjan> 1.184-1.mga4
+ Revision: 481747
- Support empty gems

* Fri Sep 20 2013 pterjan <pterjan> 1.183-1.mga4
+ Revision: 481728
- Handle another git ls-files syntax in gem_setup
- Fix dependency generation when ruby_version is empty

* Tue Sep 10 2013 pterjan <pterjan> 1.182-1.mga4
+ Revision: 477387
- Fix install of gems with several .so

* Tue Sep 10 2013 pterjan <pterjan> 1.181-1.mga4
+ Revision: 477287
- Support gems with the .so in a subdirectory

* Tue Sep 10 2013 pterjan <pterjan> 1.180-1.mga4
+ Revision: 477258
- Create a gem_setup macro fixing most common problems

* Sun Sep 08 2013 pterjan <pterjan> 1.179-1.mga4
+ Revision: 476420
- Remove extra space in __ruby_module_name when oname is not defined

* Thu Aug 15 2013 fwang <fwang> 1.178-1.mga4
+ Revision: 466706
- rely on plain gem command to build and install gems

* Thu Aug 15 2013 fwang <fwang> 1.177-2.mga4
+ Revision: 466689
- refresh updated tarball

* Thu Aug 15 2013 fwang <fwang> 1.177-1.mga4
+ Revision: 466683
- make it compat with rubygems 2.0

* Wed Jul 31 2013 wally <wally> 1.176-1.mga4
+ Revision: 461847
- gi-find-deps.sh: sync more with SUSE to find typelib requires from Python scripts without .py extension (mga#10863)

* Mon Jul 29 2013 wally <wally> 1.175-1.mga4
+ Revision: 460609
- gi-find-deps.sh: sync 'find javascript requires' code with SUSE to find versioned requires

* Sat Jul 06 2013 wally <wally> 1.174-1.mga4
+ Revision: 450780
- gi-find-deps.sh: handle 'gi.require_version("Gtk", "3.0")' type requires in .py files (from SUSE)

* Fri Jul 05 2013 dmorgan <dmorgan> 1.173-1.mga4
+ Revision: 450289
- Add auto requires for osgi() mvn()

* Tue Jun 04 2013 colin <colin> 1.172-1.mga4
+ Revision: 437170
- New version 1.172
  o Add pkgconfig package requires for private requires

* Sat Apr 06 2013 luigiwalser <luigiwalser> 1.171-1.mga3
+ Revision: 408556
- properly fix mga #3697 in find-lang.pl (only exclude man directories)
- own man pages that have a dot in their name (find-lang.pl regexp bug)

  + lmenut <lmenut>
    - fix regression introduced in 1.168:
      all directories found by find-lang are not owned by packages
      when --with-man is used (mga #3697c10)

* Sun Mar 24 2013 colin <colin> 1.169-1.mga3
+ Revision: 404799
- New version: 1.169
- Add version macros for systemd/rpm-helper to ease distro upgrades

* Sun Mar 17 2013 lmenut <lmenut> 1.168-1.mga3
+ Revision: 403530
- New version : 1.168
  fix find-lang.pl : do not own man lang directories with --with-man
  (patch from tv, mga #3697 & #9055)

  + fwang <fwang>
    - update rpm group
    - fix bug#8757, gi-find-deps.sh incorrectly match 'imports.github'

* Mon Jan 14 2013 umeabot <umeabot> 1.166-2.mga3
+ Revision: 380455
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 boklm <boklm> 1.166-1.mga3
+ Revision: 344741
- Add script to generate tarball

  + rtp <rtp>
    - update optflags and fix dwz settings on arm

* Mon Dec 31 2012 tmb <tmb> 1.165-1.mga3
+ Revision: 336686
- set libexec dir to /usr/libexec

* Sun Nov 25 2012 colin <colin> 1.164-1.mga3
+ Revision: 321720
- New version: 1.164
- Add some macros for udev rules and tmpfiles snippets

* Fri Nov 23 2012 blino <blino> 1.163-1.mga3
+ Revision: 321136
- 1.163
- modify arch_tagged macro to use ()(64bit) instead of (lib64), to be
  compatible with the mark64 provides generated by find-provides

* Fri Nov 02 2012 fwang <fwang> 1.162-1.mga3
+ Revision: 312393
- new version 1.162

* Wed Oct 24 2012 tv <tv> 1.161-1.mga3
+ Revision: 309549
- set LC_ALL=C in find-{provides,requires} (mga#7883)

* Wed Sep 12 2012 fwang <fwang> 1.160-1.mga3
+ Revision: 292616
- 1.160: merge rubygems.rb from Mandriva, so that it works with ruby 1.9.x

* Mon Sep 10 2012 shlomif <shlomif> 1.159-1.mga3
+ Revision: 291994
- New version 1.159, with fix to the gem_helper problem.

* Sat Sep 08 2012 fwang <fwang> 1.158-1.mga3
+ Revision: 289992
- 1.158: only enable rubygems when /usr/bin/ruby is found

* Fri Aug 24 2012 tv <tv> 1.157-1.mga3
+ Revision: 283502
- find-provides: fix pok's perlapi auto provides

* Tue Aug 21 2012 tv <tv> 1.156-1.mga3
+ Revision: 282990
- find-provides: ignore fontconfig.prov exit code (mga#7078)

* Fri Aug 03 2012 tv <tv> 1.155-1.mga3
+ Revision: 278305
- actually require dwz

* Thu Aug 02 2012 tv <tv> 1.155-0.1.mga3
+ Revision: 277874
- drop very old rpmbuild aliases on rpm which warns about being deprecated for
  quite a long time
- enable including mini debuginfo in binaries

* Tue Jul 31 2012 tv <tv> 1.154-1.mga3
+ Revision: 276799
- drop unused brp-compress (obsoleted by spec-helper 4 years ago)
- use upstream find-debuginfo.sh as we merged our changes back into rpm package

* Tue Jul 31 2012 tv <tv> 1.153-1.mga3
+ Revision: 276735
- shrunk debug packages through using dwz
  (https://fedoraproject.org/wiki/Features/DwarfCompressor)

* Fri Jul 27 2012 tv <tv> 1.152-1.mga3
+ Revision: 275050
- require dwz
- add support for mini debug packages
  (https://fedoraproject.org/wiki/Features/MiniDebugInfo)
- document Mageia divergences with upstream
- fix typo that breaks emiting maven provides
- generate a perlapi-<version> provide when libperl.so is found
  (inspirated from mdv (pok))
- sync brp-compress with upstream rpm.org:
  o add *.xz and *.lzma recompress support
  o avoid some unnecessary command invocations in scripts
  o make sure brp-compress doesn't go interactive in corner cases
- sync find-debuginfo.sh with upstream rpm.org:
  o add -r flag to find-debuginfo.sh to invoke eu-strip --reloc-debug-sections
    (Mark Wielaard, 2011-05-25)
  o create GDB index from find-debuginfo if possible (Tom Tromey, RhBug:617166)
  o drop useless rpm5 bits (less divergence with upstream)
  o generate debug symlinks for all filenames sharing a build-id (RhBug:641377)
  o fix behavior on cross-directory hardlinks (RhBug:618426)
- kill unused find-provides.perl.in
- prevent RPM_BUILD_ROOT to break brp-* scripts if it contains spaces
  (rpm.org#843)
- revert %%_libexecdir change in 1.151
- use upstream brp-strip* as we provided older versions of upstream

* Thu Jul 26 2012 tv <tv> 1.151-1.mga3
+ Revision: 274628
- fix %%_libexecdir that changed to %%_libdir when mga forked mdv
  (when we merged manbo stuff)
- install g-ir-extract-deps in the right place
- perl.prov: do not keep lower case provides since we do not
  emit lower case requires anyway
- switch from lzma to xz payload by default (like FC & mdv)
  (supported since 2008)

* Thu Jul 26 2012 tv <tv> 1.150-1.mga3
+ Revision: 274530
- build with -fPIC on x86_64 too (pok, mdv)

* Wed Jul 25 2012 tv <tv> 1.149.1-1.mga3
+ Revision: 274313
- merged patches from pkg repository into SVN

* Wed Jul 25 2012 tv <tv> 1.148-1.mga3
+ Revision: 274302
- drop automatically generated dependencies on interpreters we either don't
  need dependencies on or that we have other dedicated dependency generators
  for making them duplicate, reducing ~5K packages' dependencies at
  next rebuild. (Per Oyvind, mdv)
- drop automatically generated rtld(GNU_HASH) dependencies, it's been provided
  by glibc for five years now and can safely be assumed that there's no longer
  any need for it, reducing ~8K packages' dependency on it during next rebuild.
  (Per Oyvind, mdv)
- "resolve" /bin/env foo interpreter to actual path, rather than generating
  dependencies on coreutils, should trim off ~800 dependencies more
- perl.prov: sync with upstream rpm.org:
  o avoid emitting empty perl() module deps
  o filter out incorrect perl(main) provides (rh#177960)
  o fix perl version provide for packages defined in multiple blocks (#rhbz214496)
  o make perl.{req,prov} warn about unreadable files
  o skip new-fangled head[34] while gerenerating deps (#118243)
  o skip over =for ... perlpod construct (RhBug:477516)
- use upstream fonconfig.prov as we had exactly the same file

* Tue Jul 24 2012 colin <colin> 1.147-12.mga3
+ Revision: 274043
- Update location of the %%_unitdir macro post-usrmove

* Sun Jul 01 2012 dmorgan <dmorgan> 1.147-11.mga3
+ Revision: 266385
- Fix use of maven and osgi prov script

  + tv <tv>
    - fix upgrade from mdv

* Wed Jun 27 2012 kamil <kamil> 1.147-9.mga3
+ Revision: 264252
-add P8: fix-rename-macro.patch (mga#4345)

* Sat Apr 28 2012 tmb <tmb> 1.147-8.mga2
+ Revision: 233577
- disable rpm-helper autoreq script as it breaks more than it fixes

* Fri Apr 27 2012 tmb <tmb> 1.147-7.mga2
+ Revision: 233483
- add autoreq script to add versioned rpm-helper requires for systemd (guillomovitch/tv/tmb)

* Thu Feb 16 2012 tmb <tmb> 1.147-6.mga2
+ Revision: 209755
- have kmod.prov handle .xz compressed modules as well

* Mon Feb 13 2012 dmorgan <dmorgan> 1.147-5.mga2
+ Revision: 208317
- Better handling of osgi.prov

* Thu Jan 26 2012 blino <blino> 1.147-4.mga2
+ Revision: 201807
- require rpmlint-mageia-policy, as discussed on "[Mageia-dev] rpmlint"
  thread, and as per suggestion of pterjan

* Sat Dec 31 2011 dmorgan <dmorgan> 1.147-3.mga2
+ Revision: 189248
- Only catch maven pom files ( mga #3963)

* Wed Dec 28 2011 dmorgan <dmorgan> 1.147-2.mga2
+ Revision: 188289
- Add P2: Use new osgi/maven.prov files from jpackages-utils
  Add P3: Use upstream desktop-file.prov as our is identical
- Remove P0: reverted in svn because breaks deps generator

* Tue Dec 27 2011 anssi <anssi> 1.147-1.mga2
+ Revision: 188160
- 1.147
  o add support for $EXCLUDE_FROM_FULL_STRIP regexp which makes
    find-debuginfo.sh only strip debugging symbols from the matched files
    (from Mandriva).

* Mon Dec 26 2011 dmorgan <dmorgan> 1.145-3.mga2
+ Revision: 187657
- Disable internal deps generator

* Sun Dec 25 2011 dmorgan <dmorgan> 1.145-2.mga2
+ Revision: 187548
- Add P1: Fix build with rpm 4.9
- Revert to  version 1.145
  Add patch enabling dep generator
- Use new source
- Remove old source
- Enable new internal dep generator ( needed for java packages)

* Tue Nov 08 2011 jquelin <jquelin> 1.145-1.mga2
+ Revision: 165314
- update to 1.145

* Mon Sep 19 2011 fwang <fwang> 1.144-1.mga2
+ Revision: 145263
- new version 1.144

  + misc <misc>
    - do not hardcode the name of the distribution
    - fix Requires, and add some various comments
    - do not keep old directive to use /etc/rpm/platform, as this is unused on
      the regular rpm version
    - remove useless conflicts
    - remove others old obsoletes
    - clean the spec, remove old directives
    - remove old Conflict/Obsoletes, as we are no longer supporting upgrade from Mandriva
    - remove temporary Provides ( nothing requires perl-suid )

* Mon Aug 29 2011 jquelin <jquelin> 1.142-1.mga2
+ Revision: 136029
- update to 1.142

  + fwang <fwang>
    - push python-gi req for python introspection callings
    - 1.140: push python-gi req for python introspection callings

* Fri Jul 15 2011 cjw <cjw> 1.139-1.mga2
+ Revision: 124427
- 1.139: gobject introspection requires: do not emit typelib(GOBJ) when
         no deps are listed in a typelib

* Thu Jul 07 2011 cjw <cjw> 1.138-1.mga2
+ Revision: 119922
- 1.138: gobject introspection dependencies fix for python:
         ignore whitespace in the comma-separated lists

* Thu Jul 07 2011 boklm <boklm> 1.137-1.mga2
+ Revision: 119882
- version 1.137 from cjw: extract gobject introspection typelib interdependencies using a helper program

* Wed Jul 06 2011 boklm <boklm> 1.136-1.mga2
+ Revision: 119525
- version 1.136

* Wed Jul 06 2011 boklm <boklm> 1.135-1.mga2
+ Revision: 119453
- version 1.135

* Mon May 30 2011 pterjan <pterjan> 1.133-1.mga1
+ Revision: 100758
- Default section to core, useful for local builds

* Mon May 30 2011 pterjan <pterjan> 1.132-1.mga1.
+ Revision: 100750
- do not append .%%distro_section if section is core

* Fri May 20 2011 pterjan <pterjan> 1.131-1.mga1
+ Revision: 99853
- Update to 1.131 with new mkrel

* Fri May 06 2011 boklm <boklm> 1.130-1.mga1
+ Revision: 95456
- version 1.130

* Thu Apr 28 2011 boklm <boklm> 1.127-1.mga1
+ Revision: 93318
- version 1.127

* Wed Mar 23 2011 boklm <boklm> 1.126-1.mga1
+ Revision: 76098
- version 1.126 to fix #497

* Wed Mar 16 2011 rtp <rtp> 1.124-1.mga1
+ Revision: 72723
- Version 1.124: fix _host macro

* Sun Mar 13 2011 boklm <boklm> 1.123-1.mga1
+ Revision: 70792
- version 1.123: add fontconfig.prov provides script

* Fri Mar 04 2011 boklm <boklm> 1.122-1.mga1
+ Revision: 63866
- version 1.122

* Thu Mar 03 2011 tmb <tmb> 1.120-1.mga1
+ Revision: 63420
- kmod.prov: convert special chars [,],:,- to _ when generating
  kernel module version provides (needed with rpm-4.8.1)

* Wed Mar 02 2011 jquelin <jquelin> 1.119-1.mga1
+ Revision: 62625
- update to 1.119

* Mon Feb 28 2011 tmb <tmb> 1.118-2.mga1
+ Revision: 61576
- drop /usr/lib/rpm/manbo symlink as rpm is now fixed

* Sat Feb 26 2011 jquelin <jquelin> 1.118-1.mga1
+ Revision: 60350
- update to 1.118

* Sun Feb 20 2011 ahmad <ahmad> 1.117-1.mga1
+ Revision: 55071
- new version 1.117
  o merge svn rev. 271797 from Mandriva to make the python eggs auto-requires
    always lowercase

* Sun Feb 06 2011 tmb <tmb> 1.116-1.mga1
+ Revision: 47647
- new version 1.116
  - merge rpmrc from rpm-manbo-setup
  - merge manbo.macros from rpm-manbo-setup
  - merge manbo-build.macros from rpm-manbo-setup
  - merge under/overlinking scripts from rpm-manbo-setup
  - merge rpm -b deprecated warning scripts from rpm-manbo-setup
- obsolete rpm-manbo-setup(-build) to get a clean upgrade
- add /usr/lib/rpm/manbo symlink pointing to /usr/lib/rpm/mageia
  in order to allow upgrade without breaking current rpm and BS

* Tue Jan 25 2011 shikamaru <shikamaru> 1.115-12.mga1
+ Revision: 39575
- fix dependencies in rubygems.rb (only include runtime dependencies)

* Thu Jan 20 2011 blino <blino> 1.115-11.mga1
+ Revision: 25078
- hardcode _real_vendor
- use _real_vendor macro
- revert rpm-manbo-setup obsoletes since it is not merged

* Wed Jan 19 2011 tmb <tmb> 1.115-9.mga1
+ Revision: 24937
- hardcode distro name to mageia to get rid of rpm-manbo-setup-*
- drop requirements on rpm-manbo-setup-*
- obsolete rpm-manbo-setup-*

* Tue Jan 18 2011 blino <blino> 1.115-8.mga1
+ Revision: 21934
- add hackish perl-suid provides to ease perl-5.12 transition

* Mon Jan 17 2011 blino <blino> 1.115-7.mga1
+ Revision: 20662
- remove python abi hack

* Thu Jan 13 2011 pterjan <pterjan> 1.115-6.mga1
+ Revision: 12442
- Bump release

  + blino <blino>
    - add a FIXME note
    - temporarily add a python(abi) provide while python is not upgraded

* Mon Jan 10 2011 blino <blino> 1.115-4.mga1
+ Revision: 4926
- rebuild
- provide rpm-mandriva-setup to ease transition

* Sun Jan 09 2011 blino <blino> 1.115-2.mga1
+ Revision: 3793
- obsolete rpm-mandriva-setup package

* Sun Jan 09 2011 blino <blino> 1.115-1.mga1
+ Revision: 3489
- remove old workaround
- update comment in rpm-mode for emacs
- use distro_release macro
- update hardcoded distsuffix
- use rpm-mageia-setup tarball
- put lowercased distro name in a macro
- update the distribution name macro
- require mageia-release
- remove old macros and version checks
- rename spec file
- rename as rpm-mageia-setup
- imported package rpm-mandriva-setup

